#1 2021-10-25 07:39:17

tekman
Member
Registered: 2021-10-25
Posts: 1

[Solved] Pacman upgrade error Cannot resolve libjxl with BBQLinux 2021

Hello BBQLinux members!

This is my first post.

I dowloaded BBQLinux 2021 04.14-x86_64 cinnamon and burned it to a DVD with Manjaro 64 on an Acer 7741 laptop with an Intel processor. I used a Samsung USB DVD burner.
The install was without errors. I noticed an error when trying to update the package database with pacman.  The problem was a missing libjxl (LIBJXL) package. I downloaded that package from the archlinux.org community repository. and installed it with pacman. I saw three questions about replacing packages: I replaced libcanberra-pulse with extra/libcanberra. And I kept virtualbox-guest-dkms, rather than replace it. The system was able to upgrade after I answered these questions. However, errors resulted if I answered these questions differently. The messages and commands follow:

sudo pacman -Suy

resolving dependencies...
warning: cannot resolve "libjxl", a dependency of "gthumb"
:: The following package cannot be upgraded due to unresolvable dependencies:
      gthumb


archlinux-org packages community x86_64 libjxl download
sudo pacman -U libjxl-0.6-1-x86_64.pkg.tar.zst


To upgrade system answer as follows:
:: Starting full system upgrade...
:: Replace libcanberra-pulse with extra/libcanberra? [Y/n] Y
:: Replace virtualbox-guest-dkms with community/virtualbox-guest-utils? [Y/n] n
:: Replace virtualbox-guest-dkms with community/virtualbox-guest-utils-nox? [Y/n] n

Offline

Board footer